import { h as e, p as t } from "./src-DI0MZP4m.js";
import { b as n } from "./chunk-7R4GIKGN-C19ZEV_b.js";
//#region node_modules/mermaid/dist/chunks/mermaid.core/chunk-HHEYEP7N.mjs
var r = /* @__PURE__ */ e((e) => {
	let { securityLevel: r } = n(), i = t("body");
	return r === "sandbox" && (i = t((t(`#i${e}`).node()?.contentDocument ?? document).body)), i.select(`#${e}`);
}, "selectSvgElement");
//#endregion
export { r as t };
